# Get a User's Item Balance

### Usage in your script

```csharp
GetUserItemBalance
  .Initialize(destroyAtEnd: true)
  .SetParameters(
    userAddress: "0x...",
    collectionAddress: "0x...",
    tokenId: 1,
    chainId: 56,
  )
  .OnError(error => Debug.Log(error))
  .OnComplete(result => Debug.Log(result))
  .Run();
```

#### Member Functions

**`.Initialize()`**

<table><thead><tr><th width="176">Parameter</th><th width="85">Type</th><th width="114">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>destroyAtEnd</code></td><td>bool</td><td>Optional</td><td>defines if this component will be destroyed after <code>.Run()</code></td></tr></tbody></table>

**`.SetParameters()`**

<table><thead><tr><th width="184">Parameter</th><th width="80">Type</th><th width="103">Required</th><th>Description</th></tr></thead><tbody><tr><td>userAddress</td><td>String</td><td>True</td><td>User wallet address</td></tr><tr><td>collectionAddress</td><td>String</td><td>True</td><td>Item collection Address</td></tr><tr><td>tokenId</td><td>Int</td><td>True</td><td>Item token ID</td></tr><tr><td>chainId</td><td>Int</td><td>True</td><td>Network ID</td></tr></tbody></table>

**`.onError()`**

*Action on Error: returns error information.*

**`.onComplete()`**

*Action on successful: returns item balance of user.*

**`.Run()`**

*Runs the API call and fills the corresponding model in the component on success.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/unity-sdk-reference/get-methods/get-a-users-item-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
